Bug 831709 - SharedPort should depend on Master
SharedPort should depend on Master
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-base-db (Show other bugs)
2.1
Unspecified Unspecified
medium Severity unspecified
: 2.3
: ---
Assigned To: Robert Rati
Tomas Rusnak
:
Depends On:
Blocks: 876871
  Show dependency treegraph
 
Reported: 2012-06-13 11:55 EDT by Robert Rati
Modified: 2013-03-06 13:44 EST (History)
3 users (show)

See Also:
Fixed In Version: condor-wallaby-base-db-1.24-1
Doc Type: Bug Fix
Doc Text:
Cause: Installing only the SharedPort feature on a node Consequence: The master daemon would stop Fix: Added a dependency on Master from the SharedPort Feature Result: It is not possible to install only SharedPort on a node and prevent the master daemon from running
Story Points: ---
Clone Of:
: 876871 (view as bug list)
Environment:
Last Closed: 2013-03-06 13:44:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0564 normal SHIPPED_LIVE Low: Red Hat Enterprise MRG Grid 2.3 security update 2013-03-06 18:37:09 EST

  None (edit)
Description Robert Rati 2012-06-13 11:55:33 EDT
Description of problem:
The SharedPort feature in the base-db does not depend upon anything, and as a result installing it on a group/node results in a non-functional config and no indication that Master is needed.  The SharedPort feature should depend upon the Master feature.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2012-09-27 14:54:14 EDT
The SharedPort feature now depends on Master.

Fixed upstream on:
BZ831709-SharedPort-adddep-Master
Comment 4 Robert Rati 2012-11-27 09:07:39 EST
There are a few ways to test this:
1) Look at the details of the SharedPort feature in wallaby.  In previous versions it had no dependency on the Master feature.  With this change, Master is now listed as a dependency
2) Install SharedPort on a node/group by itself and activate.  With the previous versions the activation would succeed, but the configuration on the node(s) would not be valid and condor would not start (no MASTER in DAEMON_LIST).  With this change, the wallaby activation will fail because of a missing dependency on Master.
Comment 5 Tomas Rusnak 2012-11-28 05:09:40 EST
Reproduced with:

wallaby-0.12.5-1.el5

#  wallaby show-features SharedPort
Console Connection Established...
SharedPort
  name:  "SharedPort"
  params:  {"USE_SHARED_PORT"=>"True", "DAEMON_LIST"=>">= SHARED_PORT", "SHARED_PORT_DEBUG"=>"", "SHARED_PORT"=>"$(LIBEXEC)/condor_shared_port", "DAEMON_SOCKET_DIR"=>"$(RUN)"}
  depends:  []
  conflicts:  []
  included_features:  []
You have new mail in /var/spool/mail/root
Comment 6 Tomas Rusnak 2012-11-28 05:11:34 EST
Retested on RHEL5/6 with:

wallaby-0.16.1-2

# wallaby show-features SharedPort
Console Connection Established...
SharedPort
  name:  "SharedPort"
  params:  {"USE_SHARED_PORT"=>"TRUE", "DAEMON_SOCKET_DIR"=>"$(RUN)", "DAEMON_LIST"=>">= SHARED_PORT", "SHARED_PORT"=>"$(LIBEXEC)/condor_shared_port", "SHARED_PORT_DEBUG"=>""}
  depends:  ["Master"]
  conflicts:  []
  included_features:  []
  annotation:  "Enables shared port"

The SharePort feature now depends on Master.

>>> VERIFIED
Comment 8 errata-xmlrpc 2013-03-06 13:44:17 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.